org.fourthline.cling.support.shared

## Class MainController

- java.lang.Object
- - org.seamless.swing.AbstractController<JFrame>
  - - org.fourthline.cling.support.shared.MainController

- All Implemented Interfaces:
    ActionListener, WindowListener, EventListener, org.seamless.swing.Controller<JFrame>

      public abstract class MainController
      extends org.seamless.swing.AbstractController<JFrame>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MainController.ShutdownWindow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainController(JFrame view, List<org.seamless.swing.logging.LogCategory> logCategories)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `org.seamless.swing.logging.LogController` | `getLogController()`
    `JPanel` | `getLogPanel()`
    `abstract UpnpService` | `getUpnpService()`
    `void` | `log(Level level, String msg)`
    `void` | `log(org.seamless.swing.logging.LogMessage message)`

    - ### Methods inherited from class org.seamless.swing.AbstractController

      `actionPerformed, deregisterAction, failedActionExecute, finalActionExecute, fireEvent, fireEvent, fireEventGlobal, getParentController, getSubControllers, getView, postActionExecute, preActionExecute, registerAction, registerAction, registerEventListener, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MainController

          public MainController(JFrame view,
                                List<org.seamless.swing.logging.LogCategory> logCategories)

  - ### Method Detail

    - #### getLogController

          public org.seamless.swing.logging.LogController getLogController()

    - #### getLogPanel

          public JPanel getLogPanel()

    - #### log

          public void log(Level level,
                          String msg)

    - #### log

          public void log(org.seamless.swing.logging.LogMessage message)

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.seamless.swing.Controller<JFrame>`
      Overrides:
        `dispose` in class `org.seamless.swing.AbstractController<JFrame>`

    - #### getUpnpService

          public abstract UpnpService getUpnpService()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.